
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>javascript 工作必知(四) 类型转换 / 憋错料</title>

    <meta name="description" content="javascript 工作必知(四) 类型转换 string和number boolean javascript 类型会根据赋值的进行转成相应的类型. var str = &quot;&quot;; alert(typeof (str));//string str = 5; alert(typeof (str));//number var sum = str + 5; //+编程两个数字相加 alert(sum);//10       这一种比较明显,一眼就可以计算出其值.但是请看下面这种转换 var sum = &quot;7&quot;  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">javascript 工作必知(四) 类型转换</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>string和number boolean</h1>
<p>javascript 类型会根据赋值的进行转成相应的类型。</p>
<pre>        var str = "";
        alert(typeof (str));//string
        str = 5;
        alert(typeof (str));//number
        var sum = str + 5; //+编程两个数字相加
        alert(sum);//10
</pre>
<p>　　 &nbsp; &nbsp; &nbsp; 这一种比较明显，一眼就可以计算出其值。但是请看下面这种转换</p>
<pre>        var sum = "7" + "5";
        alert(typeof (sum)); //string
        alert(sum);//75</pre>
<p>var sum = "7" + 5;<br />&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; alert(typeof (sum)); //string<br />&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; alert(sum);//75</p>
<p>　　　　　</p>
<p>　　　　　var sum = 5 + "7";<br />        　　　　　alert(typeof (sum));//string<br />        　　　　　alert(sum);</p>
<pre>        var area = "7" * "5";
        alert(typeof (area)); //number
        alert(area);//35

        var sub = "7" - "5";
        alert(typeof (sub)); //number
        alert(sub);//2

        var div = "7" / "5";
        alert(typeof (div));//number
        alert(div);//1.4
</pre>
<p>　　number 类型如果和string 类型"+", 将会直接number转成string</p>
<p>上述中&ldquo;+&rdquo; 比较特殊，如果是- 、* 、/ 呢；那么最终会转成什么类型呢。</p>
<pre>        var area = "7" * "a";
        alert(typeof (area));//number
        alert(area);//NaN

        var sub = "a" - "7";
        alert(typeof (sub));//number
        alert(sub);//NaN

         sub = "a" - 7;
        alert(typeof (sub));//number
        alert(sub);//NaN

        var div = "7" / "a";
        alert(typeof (div));//number
        alert(div);//NaN

         div = "a" / 7;
        alert(typeof (div));//number
        alert(div);//NaN
</pre>
<p>　　如上 - 、*、/ &nbsp; 是number 中算术具有的。string和number是不能进行运算的，所以其值都是NaN。类型number。</p>
<pre>        var a = true;
        alert(typeof(a));//boolean
        var b = "true";
        var ab = a + b;
        alert(typeof (ab));//string
        alert(ab); //truetrue
        alert(a == b);//false
</pre>
<p>　　 &nbsp; &nbsp;boolean 和 string ，boolean类型自动转成了字符串&ldquo;true&rdquo;，但是为什么<strong>a不等于b</strong>呢</p>
<p>大家看下这个例子：</p>
<pre>        var c = "1";
        alert(typeof(c));//string
        var d = 1;
        alert(typeof (d));//number
        alert(c == d);//true
</pre>
<p>　 &nbsp; 这里给出了转换的原则：（供参考)</p>
<p><strong> 1. 如果有一个操作数是布尔值，则在比较相等之前将其转换为数值&mdash;&mdash;&mdash;&mdash;false转换为0，true转换为1；</strong><br /><strong>&nbsp; &nbsp; &nbsp; 2. 如果一个操作数是字符串，另一个操作符是数值，则在比较相等之前先讲字符串转换为数值；</strong><br /><strong>&nbsp; &nbsp; &nbsp; 3. 如果一个操作数是对象，另一个操作数不是，则调用对象的valueOf()方法，用得到的基本类型值按照前面的规则进行比较。</strong></p>
<p><strong>&nbsp; &nbsp;</strong>&nbsp;&nbsp; 那么在比较字符串和布尔类型是就会：</p>
<p><strong>发生这样的转换： Boolean true先转成number &nbsp;1,在转成字符串&ldquo;1&rdquo; ，在进行比较。结果肯定是 false 了。</strong></p>
<h1>null 和string number Boolean undefined</h1>

<pre>        var a = null;
        alert(typeof (a));//object

        var b = "hello";
        var ab = a + b;
        alert(typeof (ab));//string
        alert(ab); //nullhello

        var c = 5;
        var ac = a * c;
        alert(typeof (ac)); //number
        alert(ac);//0

        if (a ) //false
        {

        } else
        {
            alert("false");
        }

        var u;

        alert(a == u); //true
</pre>
<p>　　从给出的例子可以看出：</p>
<p><strong>&nbsp;null 在 string中 自动转成字符串"null" , 在number中表示数字 0，在逻辑判断中相当于false，在值表示时 &nbsp;和undefined 一样。注意是== 而不是===。</strong></p>
<p><strong>&nbsp; &nbsp; &nbsp;虽然javascript 在进行比较时，== 转换了其比较类型，但是其变量类型并没有因为== 而发生改变。</strong></p>
<p><strong>&nbsp;&nbsp;</strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-30 14:22:38 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>javascript 工作必知(四) 类型转换的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38okqR0.html" rel="bookmark">javaScript 工作必知&lpar;五&rpar; eval 的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				eval eval(parse) parse :里面跟参数字符串,我们知道执行javascript 会编译执行,    改变全局变量的值: var x = 2; //定义的全局变量 alert(x);//2 var g = eval(&quot;x=3&quot;); //eval 会根据当前上下文解析x alert(x);//3    在全局作用域引用eval,改变全局作用域的值,不改变局部作用域的值 var g = eval; //全局引用eval var x = &quot;global&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rBaj93.html" rel="bookmark">javaScript 工作必知&lpar;六&rpar; delete in instanceof</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				in in 判断  左边 的字符串或者能转换成字符串的是否属于 右边 的属性. var data = { x: 1, y: 4 };//定义了直接对象 alert(&quot;x&quot; in data);//true ,x 是data 的一个属性 alert(1 in data);//false ,1 是data的属性值. var arr = [4, 5, 7];//定义了直接数组对象 alert(0 in arr);//true ,arr 数组的index包括0,1,2,0 是他的一个[0]属性.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k29YjM.html" rel="bookmark">javaScript 工作必知&lpar;三&rpar; String &period;的方法从何而来？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				String 我们知道javascript 包括:number,string,boolean,null,undefined 基本类型和Object 类型. 在我的认知中,方法属性应该是对象才可以具有的. var str=&quot;hello,world&quot;; var s=str.subString(1,4);//ell alert(typeof(str)+&quot;:&quot;+typeof(s));//string:string           从上面的返回类型来看,str是strin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVzDlkM.html" rel="bookmark">javaScript 工作必知&lpar;十&rpar; call apply bind</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				call  每个func 都会继承call apply等方法. function print(mesage) { console.log(mesage); return mesage; } print.call(this, &quot;cnblogs&quot;);//cnblogs call(thisAgr,agr1,agr2...) ,call方法第一个传递一个context上下文.后面是参数的个数. apply apply(thisAgr,[agr1,agr2]),apply方法和call的用法一样			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RwAPR3.html" rel="bookmark">JavaScript 工作必知&lpar;九）function 实参和形参</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大纲 Function Caller 返回函数调用者 Callee 调用自身 function 函数格式 function getPrototyNames(o,/*optional*/ a) { a = a || []; for(var p in o) { a.push(p); } return a; } caller func.caller 返回函数调用者 function callfunc() { if(callfunc.caller) { alert(callfunc.caller.toS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPwa6v4.html" rel="bookmark">javaScript 工作必知&lpar;八&rpar; 属性的特性 值、写、枚举、可配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				属性的特性 每个对象都拥有属性,属性具有哪些特性呢? 1.属性具有值.  2.属性是否是可写的.            3.是否是可枚举的.            4.是否是可配置的.   &quot;use strict&quot;;//使用严格模式 var descriptor = Object.getOwnPropertyDescriptor({ x: 1 }, &quot;x&quot;);//获取匿名对象的值 alert(&quot;value:&quot; + descriptor.value			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xeyVz3.html" rel="bookmark">javaScript 工作必知&lpar;七&rpar; 对象继承</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对象继承inherit var o = { r: 1 }; var c = function f() { }; c.prototype = o; c.r = 3; alert(o.r);//被继承的属性值未发生改变. alert(c.r);//c中r覆盖了o中的属性.     如何调用o中的r属性呢. var o = { r: 1 }; var c = function f() { }; c.prototype = o; alert(o.r);//1 被继承的属性值未发生改变. alert(c.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AnEeDM.html" rel="bookmark">javaScript 工作必知（二&rpar; null 和undefined</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				null null 表示个“空” , 使用typeof (null) ;//Object ; 说明他是一个特殊的对象. null 类型只自己唯一个成员.他是不包含属性和方法的. undefined undefined 同样也是表示&quot;空&quot;, 使用typeof (undefined) ;//undefined ;说明他是undefined类型的. undefined 类型只包含自己一个成员,他不包含属性和方法的. summary null 和 undefined 在莫种意义上可以一样 ,比			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kvkEdM.html" rel="bookmark">How Javascript works &lpar;Javascript工作原理&rpar; &lpar;十四&rpar; 解析，语法抽象树及最小化解析时间的 5 条小技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				个人总结:读完这篇文章需要15分钟,文章介绍了抽象语法树与js引擎解析这些语法树的过程,提到了懒解析--即转换为AST的过程中不直接进入函数体解析,当这个函数体需要执行的时候才进行相应转换.(因为有的函数体只是声明了,并没有实际被调用) 解析,语法抽象树及最小化解析时间的 5 条小技巧 这是 JavaScript 工作原理的第十四章. 概述 我们都知道运行一大段 JavaScript 代码性能会变得很糟糕.代码不仅仅需要在网络中传输而且还需要解析,编译为字节码,最后运行.之前的文章讨论了诸如 J			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41njqM.html" rel="bookmark" class="title">CentOS安装g&plus;&plus;</a>
					<div>
						本文为个人学习记录. 一.一般操作 Centos支持使用yum安装,安装软件一般格式为yum install....,注意此时是在root权限下. 1 yum install gcc-c++ 二.若出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n4A5OD4.html" rel="bookmark" class="title">使用mysql-connector-java出现的错误</a>
					<div>
						如果你使用的是mysql-connector-java6.*版本的话,因为最近在使用Maven构建项目,想着换成最新的版本试试,就是用了个mysql-connector-java6的版本,发现出现了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n4Ayez4.html" rel="bookmark" class="title">WaitForSingleObject 和 WaitForMultipleObjects函数</a>
					<div>
						1.WaitForSingleObject 等待函数可使线程自愿进入等待状态,直到一个特定的内核对象变为已通知状态为止.这些等待函数中最常用的是WaitForSingleObject: DWORD W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/NMy8Am4.html" rel="bookmark" class="title">JSPatch热更新的利器&period;</a>
					<div>
						如果用一句话来描述JSPatch,就是利用系统自带的JavaScriptCore.framework配合RunTime机制,进行实时的代码下载与运行.. 而且使用也很简单,启动,加载JS,运行...  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35lqAK0.html" rel="bookmark" class="title">定制Attribute</a>
					<div>
						目录 Attribute是什么 自定义Attribute 一.Attribute是什么 将一些附加信息与制定目标相关联的方式.编译器在元数据中生成这些额外的信息.也叫做特性. 比如之前文章中提到的:枚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLjonW3.html" rel="bookmark" class="title">php中mysql&lowbar;fetch&lowbar;row&lpar;&rpar; 和mysql&lowbar;fetch&lowbar;array之间有什么区别</a>
					<div>
						mysql_fetch_row是从结果集取出1行数组,作为枚举 mysql_fetch_array是从结果集取出一行数组作为关联数组,或数字数组,两者兼得eg:$sql=&quot;select ab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5gLKM.html" rel="bookmark" class="title">Java 核心技术  第四章  类与对象</a>
					<div>
						类:构造对象的模板和蓝图.由类构造对象的过程称为创建类的实例. 对象的特征: 对象的行为 对象的状态 对象的标识 类之间的关系: 依赖 聚合 继承 对象与对象变量: new Date() new Gr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NadrV3.html" rel="bookmark" class="title">图像YUV格式介绍</a>
					<div>
						1 YUV格式简介 YUV格式,与我们熟知的RGB类似,YUV也是一种颜色编码方法,主要用于电视系统以及模拟视频领域,它将亮度信息(Y)与色彩信息(UV)分离,没有UV信息一样可以显示完整的图像,只不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZZRv3.html" rel="bookmark" class="title">java：Oracle（事务，分页，jdbc）</a>
					<div>
						1.事务:transaction -- 事务开启的唯一条件就是:对数据库进行增,删,改的时候 -- 换句话说,对数据进行增删改以后,必须要执行提交或者回滚 -- 事务就是把数据库中的数据从一致状态转换 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KZRdKM.html" rel="bookmark" class="title">app图标隐藏</a>
					<div>
						关于app 隐藏图标的情况,有很多文章在写.我写下自己的感受 看到的最多的情况是:AndroidManifest.xml文件中在入口Activity的intent-filter里去掉&lt;categ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mm9mAXM.html" rel="bookmark" class="title">蓝桥杯 历届试题 大臣的旅费</a>
					<div>
						历届试题 大臣的旅费 时间限制:1.0s   内存限制:256.0MB 问题描述 很久以前,T王国空前繁荣.为了更好地管理国家,王国修建了大量的快速路,用于连接首都和王国内的各大城市. 为节省经费,T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38oNw20.html" rel="bookmark" class="title">ionic的常用命令总结以及正式发布的准备</a>
					<div>
						常用命令: npm install -g ionic cordova(需要安装node) ionic start cutePuppyPics --v2(建app cutePuppyPics app名字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Oy76ZM.html" rel="bookmark" class="title">监控视频&sol;视频采集研究</a>
					<div>
						淘宝上搜监控,排除现有网络公司出品的,卖的最多的应该算是这样的解决方案:本地+远程+显示屏. 而这样的方案,我研究了一下,基本都是类似用“雄迈”这样的主板模组,这类的主板集成了网络和本地功能,系统采用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myo1OY3.html" rel="bookmark" class="title">rman数据库恢复；关键&sol;非关键文件、影像副本、控制文件、还原点、非归档、增量、新数据库、灾难性回复</a>
					<div>
						执行完全恢复:在 ARCHIVELOG 模式下 丢失了系统关键数据文件: 如果某个数据文件丢失或损坏,且该文件属于 SYSTEM 或 UNDO 表空间,请执行以下步骤: 1. 实例可能会也可能不会自动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmmDlYM.html" rel="bookmark" class="title">在云和的那些日子里</a>
					<div>
						还记得那天是7月4号,我离开学校来到云和.带着几分忐忑和不安,开始了我为期2个多月的培训生涯.其实在这之前,我一直在犹豫,不知道是否选对了地方. 还记得自己来到的第一天,我原本是要走的,但因机缘巧合, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49vndpM.html" rel="bookmark" class="title">YJX&lowbar;Driver&lowbar;020&lowbar;JMP地址转换公式推导</a>
					<div>
						1. 向指定地址写入代码 A.JMP地址转换公式推导 B.计算实际地址函数RealJmp_Addr C.测试 [240]JMP指令 -&gt; 机器码 --&gt; 0xE9 [260]指令&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aG8vA4.html" rel="bookmark" class="title">Unzip 解压报错</a>
					<div>
						? $?jar xvf?pcre-8.10.zip?? 如果出现 jar:Command not found 要用yum下载 $?yum -y install java-1.6.0-openjdk-d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bLyDm4.html" rel="bookmark" class="title">Git学习 -- 分支管理</a>
					<div>
						创建新分支,并切换到该分支 git checkout -b dev 这一句相当于以下两句: git branch dev 创建 git checkout dev 切换 查看当前分支 git branc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGeErY3.html" rel="bookmark" class="title">HTTP 状态</a>
					<div>
						HTTP 状态 1xx: 信息 消息: 描述: 100 Continue 服务器仅接收到部分请求,但是一旦服务器并没有拒绝该请求,客户端应该继续发送其余的请求. 101 Switching Proto ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NXQQB0.html" rel="bookmark" class="title">Groovy  转换JSON和生产JSON</a>
					<div>
						Groovy 类和JSON之间的相互转换,主要在groovy.json包下面 1. JsonSlurper JsonSlurper 这个类用于转换JSON文本或从Groovy 数据结构中读取内容例如m ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
